> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get native integration

> Get the native integration



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /connection/nativeIntegrations
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /connection/nativeIntegrations:
    get:
      tags:
        - Connection - Native Integrations
      summary: Get native integration
      description: Get the native integration
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  nativeIntegration:
                    type: object
                    properties:
                      actions:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                        title: Actions
                        description: Available native integration actions.
                      extractors:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                        title: Extractors
                        description: Available native integration extractors.
                    required:
                      - actions
                      - extractors
                    additionalProperties: false
                    title: Native integration
                    description: Native integration details.
                required:
                  - nativeIntegration
                additionalProperties: false
                title: Response body
                description: Response body schema.
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````